/* General Styling */
body {
    overflow: hidden;
    margin: 0;
}
* {
    font-family: "Gotham";
    font-size: 2.2vw;
}

.credits-screen {
    width: 100%;
    height: 100%;
    position: relative;
    top: 100%;
    background-color: #ffffff99;
    display: flex;
    justify-content: center;
}
.credits {
    position: relative;
    bottom: -200vh;
    text-align: center;
}
.credit {
    line-height: 0.8;
    margin-bottom: 10vh;
}
.role {
    font-size: 2.7vw;
}
.name {
    margin-top: -1vh;
    font-size: 4.5vw;
    background: linear-gradient(to right, #CE2A80 0%, #A638A0 33.33%, #496DD2 66.66%, #0EABCC 100%);
    background-clip: text;
    -webkit-background-clip: text;
    color: transparent;
}

@keyframes creditsScreenIn {
    0% {top: 100%;}
    100% {top: 0;}
}

@keyframes creditsIn {
    0% {bottom: -200vh;}
    100% {bottom: 100vh;}
}

.credits-screen-in {
    animation: creditsScreenIn 1s forwards;
}
.credits {
    animation: creditsIn 20s linear forwards;
}